function load_theme {
	loadfont $prefix/theme/unicode.pf2
	insmod efi_gop
	insmod efi_uga
    insmod gfxterm
    insmod png
	set gfxmode=auto
	terminal_output gfxterm
	set theme=$prefix/theme/theme.txt
	export theme
}


set menu_color_normal=cyan/black
set menu_color_highlight=white/black

set pager=1
set default=0
set fallback=0
set timeout=25
set grub=grubx64

set iso_drive=""

if [ -s $prefix/theme/theme.txt ]; then
	load_theme
fi




if [ -e "/efi/microsoft/boot/bootmgfw.efi" ]; then
	menuentry "LSP WinPE" {
	  chainloader /efi/microsoft/boot/bootmgfw.efi
	}
fi

*--------*

menuentry "Neustart" --class reboot {
    set background_color=black
    echo "Neustart wird ausgeführt..."
    reboot
}

menuentry "Herunterfahren" {
    set background_color=black
    echo "System wird heruntergefahren..."
    halt
}

menuentry 'UEFI Firmware Settings' --id 'uefi-firmware' {
	fwsetup
}

